%global pypi_name ytmusicapi

Name:           python-ytmusicapi
Version:        1.5.1
Release:        %mkrel 1
Summary:        Unofficial API for YouTube Music
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/ytmusicapi/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Python library to send requests to the YouTube Music API. It emulates YouTube
Music web client requests using the user’s cookie data for authentication.

%package -n     python3-ytmusicapi
Summary:        Unofficial API for YouTube Music
%{?python_provide:%python_provide python3-ytmusicapi}

%description -n python3-ytmusicapi
Python3 library to send requests to the YouTube Music API. It emulates YouTube
Music web client requests using the user’s cookie data for authentication.

%prep
%autosetup -p1 -n ytmusicapi-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ytmusicapi

%check
%pyproject_check_import

%files -n python3-ytmusicapi -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/ytmusicapi


%changelog
* Mon Feb 19 2024 wally <wally> 1.5.1-1.mga10
+ Revision: 2042500
- new version 1.5.1

* Fri Jan 26 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2035000
- new version: 1.5.0

* Fri Dec 29 2023 papoteur <papoteur> 1.3.2-1.mga10
+ Revision: 2024005
- new version 1.3.2

* Mon Nov 06 2023 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 2004813
- new 1.3.0

* Mon Sep 25 2023 papoteur <papoteur> 1.2.1-1.mga10
+ Revision: 1990906
- imported package python-ytmusicapi

